Ankündigung

Einklappen
Keine Ankündigung bisher.

Nach Update auf 1.6 geht UZSU nicht mehr

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #46
    mit git könntest du vermutlich so (https://serverfault.com/questions/11...ote-repository) die files in dem folder auf ne commit id zurücksetzen

    Kommentar


      #47
      Mh ok, d.h. UZSU wird dir bei Plugins angezeigt im WebIF von SHNG?
      ja. ich habe damit auch gerade das licht im büro ausgeschaltet. mit den neuen structs ging die einrichtung im item mega easy..

      ff.JPG

      Kommentar


        #48
        Hi,
        hatte genau die gleiche Fehlermeldung nach dem Update auf meinem Raspi, bei mir war die Lösung Scipy zu deinstallieren und die Befehle im Screenshot auszuführen.
        Danach gings wieder ohne Probleme.

        Vielen Dank noch einmal für das Update. Respekt!

        MFG
        Tom
        Angehängte Dateien

        Kommentar


          #49
          Hat auch nichts geholfen. Habe nun neu aufgesetzt mit SHNG 1.5.1 und alles schnurrt wieder!
          Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

          Kommentar


            #50
            Also mal von vorne... Es gibt folgende Möglichkeiten das Problem zu beheben:
            a) Scipy einfach aus den Requirements des Plugins nehmen. Dann funzt die UZSU ohne Interpolation, aber in Grundzügen wie bisher
            b) Scipy 1.0.2 installieren statt der neuesten Version (die sollte keine Probleme machen, sofern man lib atlas installiert hat)

            Wenn ich's richtig gelesen hab, ist ein Raspi im Einsatz - dann gibts noch 2 weitere Möglichkeiten:
            c) noch einen Tag auf das neue Image warten
            d) Scipy auf einem Raspi so installieren:
            wget https://www.piwheels.org/simple/scipy/<<EIN_FILE_je nach Version und Raspi Edition>>
            pip3 install the-scipy-file.whl

            Variante d dauert satte 30 Sekunden o.ä. und alles sollte laufen.

            Kommentar


              #51
              Ok danke für dein Statement dazu.
              Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

              Kommentar


                #52
                Onkelandy in dem rahmen nochmal ein großes danke an dich für a) das image b) die ganzen plugins fremder autoren denen du dich annimmst! das ist konstruktive mitarbeit und so wird das projekt auch zum erfolg. wollte das nur mal gesagt haben danke auch für das support-geben.. wir werden ja schliesslich nicht bezahlt dafür

                Kommentar


                  #53
                  Ich habe das Problem noch nicht verstanden...
                  UZSU braucht ein neueres scipy. Das steht in der requirements drin.
                  Und jetzt ist das Problem, dass scipy libatlas braucht. Und das wird von Pip nicht mitinstalliert?
                  Wie teste ich das bei mir?
                  Reicht ein import scipy?

                  @magic: Woher kommt die Eile und Panik?
                  ​​​​​​​Denk Mal an das Herzblut, das in den Release geflossen ist. Deine Reaktion ist wenig motivierend.

                  Kommentar


                    #54
                    Ne, es braucht kein neues Scipy. Aber es wird halt das neueste installiert, wenn man es noch nicht hatte. Und das macht aufm Raspi tatsächlich Probleme (da reicht lib atlas nicht mehr - das musste über apt-get installiert werden, ist kein Python Modul). Die Probleme ham aber weder mit dem Plugin noch mit dem Release zu tun.
                    Und ja, die Reaktion hier ist definitiv äußerst ????

                    Kommentar


                      #55
                      Was denn für ne Reaktion? Ich habe weder gegen das Release noch gegen irgendjemand anderes was negatives gesagt! Ich habe mich lediglich über mich selbst aufgeregt. Ich weiß nich wieso ihr mich hier an den Pranger stellen wollt? Alles bonjorno von meiner Seite

                      @mods/admins: bitte closen hier
                      Zuletzt geändert von magiczambo; 16.05.2019, 22:37.
                      Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

                      Kommentar


                        #56
                        Hallo,
                        hänge mich mal hier mit an.
                        Nach update auf 1.6 master alte item eingefügt und erst lief alles, nach neustart meine uzsu aktiviert und jetzt habe ich das problem das die Zeitsachaltung nicht mehr geht. uzsu ist auch die von 1.6 master install.
                        das ganze sieht dann im log so aus.
                        Angehängte Dateien

                        Kommentar


                          #57
                          Habe noch was vergessen, es gibt noch eine Fehlermeldung dazu.

                          Traceback (most recent call last):
                          File "/usr/local/smarthome/lib/item.py", line 2224, in __update
                          method(self, caller, source, dest)
                          File "/usr/local/smarthome/plugins/uzsu/__init__.py", line 442, in update_item
                          self._schedule(item, caller='update')
                          File "/usr/local/smarthome/plugins/uzsu/__init__.py", line 460, in _schedule
                          if not self._items[item]['interpolation'].get('itemtype'):
                          KeyError: 'interpolation'


                          also wo anfangen zu suchen oder,?
                          mfg

                          Kommentar


                            #58
                            Scypi und numpy sind installiert?
                            Geniale Menschen sind selten ordentlich, ordentliche selten genial. (Albert Einstein)

                            Kommentar


                              #59
                              pino starte shng bitte nochmals neu - kommt dann der keyerror Fehler auch?

                              Kommentar


                                #60
                                Ja das kommt immer seit dem neustart und uzsu1.5.3.
                                Habe jetzt aber mal die uzsu 1.5.2 prob gemacht, da geht alles ohne probleme

                                Kommentar

                                Lädt...
                                X